Subject: bug#19721: 25.0.50; Mode-line not redrawn with expose events

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Feb 2015 20:37:38 +0200

> Date: Sun, 01 Feb 2015 19:09:35 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >> So you mean that we have to update the mode lines of both - the selected
>  >> and the deselected window?
>  >
>  > Yes, but not because they become selected/deselected, because their
>  > glyph matrices are resized, and the mode-line row gets disabled in the
>  > process.
> 
> But the glyph matrices are resized _because_ the window gets
> (de-)selected?

Yes, in this use case.  Not sure why this is significant, though: we
should redraw the mode line when the matrix is resized, no matter what
triggered the resize.